import { AstNode, KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Statement } from "./Statement";
export declare class ExportDefaultDeclaration extends Statement {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createExportDefaultDeclaration(decl: AstNode | undefined, exportEquals: boolean): ExportDefaultDeclaration;
    static updateExportDefaultDeclaration(original: ExportDefaultDeclaration | undefined, decl: AstNode | undefined, exportEquals: boolean): ExportDefaultDeclaration;
    get decl(): AstNode | undefined;
    get isExportEquals(): boolean;
    protected readonly brandExportDefaultDeclaration: undefined;
}
export declare function isExportDefaultDeclaration(node: object | undefined): node is ExportDefaultDeclaration;
